Bug 741079 - SELinux is preventing /lib/systemd/systemd-logind from 'rmdir' accesses on the directory dconf.
Summary: SELinux is preventing /lib/systemd/systemd-logind from 'rmdir' accesses on th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:99112966de0ae93ff5c93cd902f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-25 03:22 UTC by Insang Ryu
Modified: 2011-10-09 19:36 UTC (History)
10 users (show)

Fixed In Version: selinux-policy-3.10.0-38.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-09 19:36:18 UTC


Attachments (Terms of Use)

Description Insang Ryu 2011-09-25 03:22:03 UTC
abrt version: 2.0.5.980
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.1.0-0.rc6.git0.3.fc16.i686.PAE
reason:         SELinux is preventing /lib/systemd/systemd-logind from 'rmdir' accesses on the directory dconf.
time:           Sun Sep 25 12:21:32 2011

description:
:SELinux is preventing /lib/systemd/systemd-logind from 'rmdir' accesses on the directory dconf.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that systemd-logind should be allowed rmdir access on the dconf directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep systemd-logind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:systemd_logind_t:s0
:Target Context                system_u:object_r:config_home_t:s0
:Target Objects                dconf [ dir ]
:Source                        systemd-logind
:Source Path                   /lib/systemd/systemd-logind
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           systemd-36-2.fc16
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-32.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.1.0-0.rc6.git0.3.fc16.i686.PAE #1 SMP Fri Sep 16
:                              12:15:39 UTC 2011 i686 i686
:Alert Count                   1
:First Seen                    Sun 25 Sep 2011 12:20:56 PM KST
:Last Seen                     Sun 25 Sep 2011 12:20:56 PM KST
:Local ID                      07d14f60-daab-41ad-a991-7c9c34541f0d
:
:Raw Audit Messages
:type=AVC msg=audit(1316920856.13:128): avc:  denied  { rmdir } for  pid=5127 comm="systemd-logind" name="dconf" dev=tmpfs ino=18717 scontext=system_u:system_r:systemd_logind_t:s0 tcontext=system_u:object_r:config_home_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1316920856.13:128): arch=i386 syscall=unlinkat success=yes exit=0 a0=b a1=bff02c1b a2=200 a3=8c20e08 items=0 ppid=1 pid=5127 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=systemd-logind exe=/lib/systemd/systemd-logind subj=system_u:system_r:systemd_logind_t:s0 key=(null)
:
:Hash: systemd-logind,systemd_logind_t,config_home_t,dir,rmdir
:
:audit2allow
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t config_home_t:dir rmdir;
:
:audit2allow -R
:
:#============= systemd_logind_t ==============
:allow systemd_logind_t config_home_t:dir rmdir;
:

Comment 1 Miroslav Grepl 2011-09-26 08:03:50 UTC
Fixed in selinux-policy-3.10.0-34.fc16

Comment 2 Fedora Update System 2011-10-04 11:17:15 UTC
selinux-policy-3.10.0-36.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-36.fc16

Comment 3 Fedora Update System 2011-10-04 20:50:01 UTC
Package selinux-policy-3.10.0-36.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-36.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-36.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-10-09 19:36:18 UTC
selinux-policy-3.10.0-38.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.